package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataSingleEffectConfigDTO;
import com.gic.enterprise.entity.TabDataSingleEffectConfig;

public interface DataSingleEffectConfigService {

    /**
     * 新增单效取值配置
     * @Title: saveSingleEffectConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void saveSingleEffectConfig(DataSingleEffectConfigDTO dto);

    void editSingleEffectConfig(DataSingleEffectConfigDTO dto);

    /**
     * 根据商户ID查询配置
     * @Title: getByEnterpriseId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabDataSingleEffectConfig 
     */
    TabDataSingleEffectConfig getByEnterpriseId(Integer enterpriseId);
}
